Package groovy.util

# Enum Class ObservableList.ChangeType

java.lang.Object
java.lang.Enum<ObservableList.ChangeType>
groovy.util.ObservableList.ChangeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ObservableList.ChangeType>`, `Constable`

Enclosing class:
  ObservableList

public static enum ObservableList.ChangeType extends Enum<ObservableList.ChangeType>
Enumerates the specialized list change events.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDED`
  A single element was added.
  `CLEARED`
  The list was cleared.
  `MULTI_ADD`
  Multiple elements were added.
  `MULTI_REMOVE`
  Multiple elements were removed.
  `NONE`
  No specialized change type applies.
  `REMOVED`
  A single element was removed.
  `UPDATED`
  A single element was updated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Object`
  `newValue`
  Placeholder new value for aggregated events.
  `static final Object`
  `oldValue`
  Placeholder old value for aggregated events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObservableList.ChangeType`
  `resolve(int ordinal)`
  Resolves an enum constant from its ordinal.
  `static ObservableList.ChangeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ObservableList.ChangeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDED

    public static final ObservableList.ChangeType ADDED
    A single element was added.

  - ### UPDATED

    public static final ObservableList.ChangeType UPDATED
    A single element was updated.

  - ### REMOVED

    public static final ObservableList.ChangeType REMOVED
    A single element was removed.

  - ### CLEARED

    public static final ObservableList.ChangeType CLEARED
    The list was cleared.

  - ### MULTI_ADD

    public static final ObservableList.ChangeType MULTI_ADD
    Multiple elements were added.

  - ### MULTI_REMOVE

    public static final ObservableList.ChangeType MULTI_REMOVE
    Multiple elements were removed.

  - ### NONE

    public static final ObservableList.ChangeType NONE
    No specialized change type applies.

- ## Field Details

  - ### oldValue

    public static final Object oldValue
    Placeholder old value for aggregated events.

  - ### newValue

    public static final Object newValue
    Placeholder new value for aggregated events.

- ## Method Details

  - ### values

    public static ObservableList.ChangeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ObservableList.ChangeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### resolve

    public static ObservableList.ChangeType resolve(int ordinal)
    Resolves an enum constant from its ordinal.
    Parameters:
      `ordinal` - the serialized ordinal value
    Returns:
      the matching change type